Update an analysis
Update an analysis.
This endpoint can be used to attach DataFrames and Files to an analysis by providing file and/or data frame
ids inside the dataFrameIds and fileIds elements. This will append the dataFramess and files to the analysis.
If attaching files:
- Upload the files with the Create a file endpoint
- Use this endpoint to attach file ids via the
fileIdsarray element
If attaching data frames:
- Create the data frames from existing files using the Create a data frame endpoint
- Use this endpoint to attach data frame ids via the
dataFrameIdsarray element
For more details and examples on building Analysis integrations, see our developer guide.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
analysis_id
The ID of the analysis
Request
This endpoint expects an object.
dataFrameIds
IDs of the data frames to append to an analysis
fileIds
IDs of the files to append to an analysis
Response
OK
dataFrameIds
fileIds
folderId
ID of the folder that contains the analysis
id
Errors
403
Forbidden Error
404
Not Found Error